#!/usr/bin/env fades

import glob
import os
from datetime import datetime
from urllib.parse import quote

import pytz  # fades
from feedgen.feed import FeedGenerator  # fades

tz = pytz.timezone("America/Buenos_Aires")

fg = FeedGenerator()
fg.load_extension('podcast')

xml_name = "varios.xml"
base_public_url = "https://podcasts.taniquetil.com.ar/varios/"
url = base_public_url + xml_name
fg.id(xml_name)
fg.title("MP3s varios")
fg.description("Rejunte de mp3s")
fg.image("https://jazznube.com.ar/daci/images//productos/vario.jpg")
fg.link(href=url, rel='self')

for filepath in glob.glob("*.mp3"):
    filename = os.path.basename(filepath)
    stat = os.stat(filepath)
    mp3_size = stat.st_size
    mp3_url = base_public_url + quote(filename)
    mp3_id = str(stat.st_ino)

    # build the rss entry
    fe = fg.add_entry()
    fe.id(mp3_id)
    fe.title(filename)
    fe.pubDate(tz.localize(datetime.fromtimestamp(stat.st_ctime)))
    fe.description(filename)
    fe.enclosure(mp3_url, str(mp3_size), 'audio/mpeg')

fg.rss_str(pretty=True)
fg.rss_file(xml_name)
